image: debian:stable

before_script:
  - apt-get update -qq
  - apt-get install -y -qq build-essential autoconf autoconf-archive automake libtool libcppunit-dev libpq-dev pkg-config
  - autoreconf --install --verbose --force
  - ./configure

stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - make
    - src/distorth

test:
  stage: test
  script:
    - make check

tarball:
  stage: deploy
  only:
    - tags
    - master
  script:
    - make distcheck
  artifacts:
    name: "tarball"
    paths:
      - "*.tar.gz"
